Retrieve a holiday calendar

GET
/v1/scheduling/holiday_calendars/{id}

With when it was last read, and why not if it couldn't be.

Authorization

bearerAuth
headerAuthorizationBearer <token>

A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.

Path Parameters

id*string

The holiday calendar's id.

Header Parameters

Coss-Version?"2026-10-10"

The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.

Value in"2026-10-10"

Response Body

The calendar.

application/json
  1. response
object*"scheduling.holiday_calendar"
Value in"scheduling.holiday_calendar"
id*string
name*string
source*string
Value in"country""ics"
country*string|null
hosts*array<string>|null
host_filter*|null
regions*array<string>|null
delegates*array<string>
existing_bookings*string
Value in"leave""reassign"
last_read_at*string|null
last_error*|

Why its feed couldn't be read.

created_at*string
updated_at*string
import { Coss } from "coss";const coss = new Coss({  apiKey: process.env.COSS_API_KEY,  baseUrl: "https://api.coss.com",});const { data, error } = await coss.scheduling.holidayCalendars.get("string");
{  "object": "scheduling.holiday_calendar",  "id": "hcal_01kd2m9a0b1c2d3e4f5g6h7j8m",  "name": "UK team",  "source": "country",  "country": "GB",  "hosts": null,  "host_filter": {    "team": "london"  },  "regions": [    "England"  ],  "delegates": [],  "existing_bookings": "leave",  "last_read_at": "2027-01-01T10:00:00.000Z",  "last_error": null,  "created_at": "2027-01-01T10:00:00.000Z",  "updated_at": "2027-01-01T10:00:00.000Z"}